All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface HTMLExportCommandsAttributeNames

    public interface HTMLExportCommandsAttributeNames

Names of the attributes used by the Export to HTML commands to hold HTML styles and style sheets

Since:
  3.1
See Also:
  `ExportSelectorCommand`, `ExportToHTMLCommand`, `OLAPExportToHTMLCommand`

Field Summary
`static java.lang.String` | `CSS_INFO` Name of the dynamic attribute of an Export to HTML command used to hold the style sheet definitions to be included when exporting "cssInfo"
`static java.lang.String` | `CSS_MEDIA_LIST` Name of the attribute used to hold the list of media of the style sheets to be included when exporting.
`static java.lang.String` | `CSS_MIME_TYPE` Name of the attribute used to hold the MIME type of the style sheets to be included when exporting.
`static java.lang.String` | `CSS_TITLE` Name of the attribute used to hold the title of the style sheets to be included when exporting.
`static java.lang.String` | `CSS_URL` Name of the attribute used to hold the URL of the style sheets to be included when exporting.
`static java.lang.String` | `ENCODING` The encoding used to encode/decode the values passed to the ExportSelectorCommand through the Request.
`static java.lang.String` | `MISSING_VALUE` The value to pass to the ExportSelectorCommand through the Request for the required parameters when they have no specific value.
`static java.lang.String` | `QUERY_CONNECTOR` Name of the optional dynamic attribute of a relational Export to HTML command used to hold the QueryConnector object to be used when exporting the data.
`static java.lang.String` | `STYLE_DEFINITIONS` Name of the dynamic attribute of an Export to HTML command used to hold the inline style definitions to be included when exporting "styleDefinitions"
`static java.lang.String` | `USE_COMPONENT_LEVEL_DUAL_RESULT_SET_POLICY` Name of the optional dynamic attribute of a relational Export to HTML command used to hold either a Boolean.TRUE or Boolean.FALSE.
`static java.lang.String` | `VIEW_COMPONENT` Name of the dynamic attribute of an Export to HTML command used to hold the html viewer to be exported.

Field Detail

### CSS_URL

    static final java.lang.String CSS_URL

  Name of the attribute used to hold the URL of the style sheets to be included when exporting. "cssURL"

  This name will be prepended by the ActionProvider prefix (e.g. AP1_cssURL) and will be passed to the ExportSelectorCommand through the Request when the form is submitted.

  The value of this parameter is a string that contains the URL (e.g. styles/sasComponents.css) of the style sheets used by the window that contains the viewer to export.

  See Also:
    Constant Field Values

### CSS_MIME_TYPE

    static final java.lang.String CSS_MIME_TYPE

  Name of the attribute used to hold the MIME type of the style sheets to be included when exporting. "cssMIMEType"

  This name will be prepended by the ActionProvider prefix (e.g. AP1_cssMIMEType) and will be passed to the ExportSelectorCommand through the Request when the form is submitted.

  The value of this parameter is a string that contains the MIME type (e.g. text/css) of the style sheets used by the window that contains the viewer to export.

  See Also:
    Constant Field Values

### CSS_MEDIA_LIST

    static final java.lang.String CSS_MEDIA_LIST

  Name of the attribute used to hold the list of media of the style sheets to be included when exporting. "cssMediaList"

  This name will be prepended by the ActionProvider prefix (e.g. AP1_cssMediaList) and will be passed to the ExportSelectorCommand through the Request when the form is submitted.

  The value of this parameter is a string that contains the media list (e.g. screen) of the style sheets used by the window that contains the viewer to export.

  See Also:
    Constant Field Values

### CSS_TITLE

    static final java.lang.String CSS_TITLE

  Name of the attribute used to hold the title of the style sheets to be included when exporting. "cssTitle"

  This name will be prepended by the ActionProvider prefix (e.g. AP1_cssTitle) and will be passed to the ExportSelectorCommand through the Request when the form is submitted.

  The value of this parameter is a string that contains the title of the style sheets used by the window that contains the viewer to export.

  See Also:
    Constant Field Values

### CSS_INFO

    static final java.lang.String CSS_INFO

  Name of the dynamic attribute of an Export to HTML command used to hold the style sheet definitions to be included when exporting "cssInfo"

  See Also:
    `ExportToHTMLCommand`, `OLAPExportToHTMLCommand`, Constant Field Values

### STYLE_DEFINITIONS

    static final java.lang.String STYLE_DEFINITIONS

  Name of the dynamic attribute of an Export to HTML command used to hold the inline style definitions to be included when exporting "styleDefinitions"

  See Also:
    `ExportToHTMLCommand`, `OLAPExportToHTMLCommand`, Constant Field Values

### VIEW_COMPONENT

    static final java.lang.String VIEW_COMPONENT

  Name of the dynamic attribute of an Export to HTML command used to hold the html viewer to be exported. It's used to render the inline styles into the html stream to export. "viewComponent"

  See Also:
    `ExportToHTMLCommand`, `OLAPExportToHTMLCommand`, `ExportSelectorCommand`, Constant Field Values

### ENCODING

    static final java.lang.String ENCODING

  The encoding used to encode/decode the values passed to the ExportSelectorCommand through the Request. "UTF-8"

  See Also:
    Constant Field Values

### MISSING_VALUE

    static final java.lang.String MISSING_VALUE

  The value to pass to the ExportSelectorCommand through the Request for the required parameters when they have no specific value. "."

  See Also:
    `ExportSelectorCommand`, Constant Field Values

### QUERY_CONNECTOR

    static final java.lang.String QUERY_CONNECTOR

  Name of the optional dynamic attribute of a relational Export to HTML command used to hold the QueryConnector object to be used when exporting the data.

  See Also:
    `ExportToHTMLCommand`, Constant Field Values

### USE_COMPONENT_LEVEL_DUAL_RESULT_SET_POLICY

    static final java.lang.String USE_COMPONENT_LEVEL_DUAL_RESULT_SET_POLICY

  Name of the optional dynamic attribute of a relational Export to HTML command used to hold either a Boolean.TRUE or Boolean.FALSE. If true, the export command would have authority to choose whether dual result sets get used. If false, the consumer of the export command assumes control by how it configures the query before giving the command access to the query to be exported.

  See Also:
    `ExportToHTMLCommand`, Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.